#Ŀ
#(Mystic)    Julian Date Convertor v1.0
#
#    MPL script to convert julian dates
#    to gregorian (MM/DD/YYYY) and back.
#
#            For mystic 1.07.3
#
# Source code included for personal modification ONLY.
# You are free to use and distribute this modification only
# if package is intact, and free of charge. Do not distribute
# any modified versions of any source code found in this package
# without permission from me, the author.
#
# Author: icedevil
# Email: icedevil@icednet.org
# (C) 2003 Icedevil
#
# id-demo.mps small demo mpl that uses the jd2greg and greg2jd
# functions, this is more for reference than anything else.

uses user

#include id-date.mps

var tempstr string, tempint longint

begin
  cls
  writeln('|01Testing id-date ...') delay(500)
  writeln('Getting user information ...') delay(500)
  getthisuser
  writeln('Testing id-date with user information for [|09' + username + '|01]')
  delay(500)
  writeln('Your birthday as a julian date is: |09'+ int2str(userbday) +'|01') delay(500)
  writeln('Converting to gregorian ...') delay(500)
  tempstr := jd2greg(userbday)
  writeln('Your gregorian birthdate is: |09' + tempstr + '|01') delay(500)
  writeln('Converting returned date back to julian format ...') delay(500)
  tempint := greg2jd(tempstr)
  writeln('Conversion complete, julian date: |09' + int2str(tempint)+ '|07')
end

  


